Bug 976741 - rhq storage node data model - record is not being removed from db and ui after uninventory
rhq storage node data model - record is not being removed from db and ui afte...
Status: CLOSED WONTFIX
Product: JBoss Operations Network
Classification: JBoss
Component: UI (Show other bugs)
JON 3.2
Unspecified Unspecified
high Severity medium
: GA
: JON 3.2.0
Assigned To: John Sanda
Mike Foley
:
Depends On:
Blocks: 951619
  Show dependency treegraph
 
Reported: 2013-06-21 06:48 EDT by Armine Hovsepyan
Modified: 2015-09-02 20:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-28 10:49:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Armine Hovsepyan 2013-06-21 06:48:38 EDT
Description of problem:
rhq storage node data model - record is not being removed from db and ui after uninventory

Version-Release number of selected component (if applicable):
rhq 4.8 build e59e69d

How reproducible:
always

Steps to Reproduce:
1. install rhq 4.8 with storage  (ip1)
2. install agent and storage on another vm  (ip2)
3. stop agent on ip2 and uninventory platform from inventory list

Actual results:
After step 2 Exception is vislbe on the top ofthe page -> http://d.pr/i/4z6L  
After step 3 removed storage still visible in Administration -> Topology -> Storage nodes without resouce id  -> click on which leads to exception
removed storage node details visible in rhq_storage_nodes table without resource id  --> http://d.pr/i/gNr0

Expected results:
After step 2  storage node data without exceptions visible under Administration -> Topology -> Storage nodes  -- http://d.pr/i/6hgR
After step 3 removed storage removed from in Administration -> Topology -> Storage nodes without resouce id  
removed storage node details removed from rhq_storage_nodes table 

Additional info:
Comment 1 John Sanda 2013-06-21 09:41:15 EDT
This is not fully implemented yet. Removing a storage node from inventory is going to have to do several things including,

* Remove the resource hierarchy from the database
* Remove the storage node entity from the database
* Remove the node from the Cassandra cluster

The last one is the tricky part. There are JMX operations we want to invoke to let other nodes in the cluster know that we are permanently removing the node. Then depending the cluster size, we may have to change the replication factor for the cluster and perform maintenance to make sure data is where it belongs in the cluster.
Comment 2 Charles Crouch 2013-07-01 15:58:59 EDT
Per 7/1 BZ triage: target jon32

This needs to be implemented as part of the JON3.2 Beta/RHQ4.9
Comment 3 John Sanda 2013-08-22 21:37:22 EDT
Support for undeployment is available with master builds. https://docs.jboss.org/author/display/RHQ/Deploying+Storage+Nodes provides the details of what is involved in the process. Moving to ON_QA.
Comment 4 Armine Hovsepyan 2013-08-28 10:49:38 EDT
create a separate bug#1002174
closing this bug as won't fix

Note You need to log in before you can comment on or make changes to this bug.